Page 3 of 3 FirstFirst 123
Results 21 to 26 of 26

Thread: I am compiling a new coin for fun

  1. #21
    Join Date
    Feb 2008
    Location
    Texas
    Beans
    26,813
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: I am compiling a new coin for fun

    Please use code tags - if you are using New Reply button - highlight text and use the # button in the text box header.

    If using Quick Reply then [code] at the beginning and [/code] at the end.

  2. #22
    Join Date
    Aug 2010
    Location
    Lancs, United Kingdom
    Beans
    1,498
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: I am compiling a new coin for fun

    Quote Originally Posted by kissdaddy View Post
    this is the error I'm receiving now

    Code:
    /usr/include/openssl/kssl.h:73:12: fatal error: krb5.h: No such file or directory
     #  include <krb5.h>
                ^~~~~~~~
    I can't seem to find the location of this problem

    Thanks for any help
    This is a configuration issue. openssl is configured to expect kerberos & you don't have it or it isn't in your include path. Go to my next reply.

  3. #23
    Join Date
    Aug 2010
    Location
    Lancs, United Kingdom
    Beans
    1,498
    Distro
    Ubuntu Mate 16.04 Xenial Xerus

    Re: I am compiling a new coin for fun

    Quote Originally Posted by kissdaddy View Post
    Code:
    /usr/include/x86_64-linux-gnu/openssl/opensslconf.h:20:3: error: #error OPENSSL_ALGORITHM_DEFINES no longer supported
     # error OPENSSL_ALGORITHM_DEFINES no longer supported
       ^~~~~
    
    # define OPENSSL_NO_JPAKE
    #endif
    #ifndef OPENSSL_NO_KRB5
    # define OPENSSL_NO_KRB5
    the third line from the top is where I got the error
    This is a configuration issue. Where did you get whatever it is you are trying to compile? What instructions are you following to build it? How did you install /usr/include/x86_64-linux-gnu/openssl ? Which version of openssl is this?

  4. #24
    Join Date
    Aug 2019
    Beans
    16

    Re: I am compiling a new coin for fun

    I am compiling from github litecoin .8, I am using a book called make your own cryptocurrency. The book didn't tell me to install a different version of open ssl but I did in order to get past some error in the past. Do you have any better guide? Because I got so many errors that the book doesn't discuss.

  5. #25
    Join Date
    Aug 2019
    Beans
    16

    Re: I am compiling a new coin for fun

    I installed it through the terminal and I believe it is version 1.0.2.
    thank you so much for trying my dear dear friend

  6. #26
    Join Date
    Aug 2019
    Beans
    16

    Re: I am compiling a new coin for fun

    i have open ssl 1.1.1

Page 3 of 3 FirstFirst 123

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •